varying vec2 		texcoord;
uniform sampler2D 	tex;
uniform float		scale;
uniform float		ofs;
varying vec2		t0,t1,t2,t3,t4,t5;

//vec2			d=vec2(ofs*0.5,0.0);

void main()
{
	gl_FragColor =	(
			texture2D(tex, t0)*0.25+
			texture2D(tex, t1)*0.125+
			texture2D(tex, t2)*0.0625+
		/*	texture2D(tex, t1-d)*0.03125+
			texture2D(tex, t2)*0.015625+
			texture2D(tex, t2-d)*0.0078125+
*/
			texture2D(tex, t3)*0.25+
			texture2D(tex, t4)*0.125+
			texture2D(tex, t5)*0.0625+
	/*		texture2D(tex, t4+d)*0.03125+
			texture2D(tex, t5)*0.015625+
			texture2D(tex, t5+d)*0.0078125+*/
			texture2D(tex, texcoord)*0.5
			)*scale;
}
